<?php

use yii\db\Migration;

/**
 * Handles the creation of table `service`.
 */
class m180522_094150_create_service_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('service', [
            'id' => $this->primaryKey(),
             'parent_id' => $this->integer(),
            'sort' => $this->integer(),
            'status' => $this->boolean(),
            'level'  => $this->integer(),
            'created_at' => $this->integer(),
            'updated_at' => $this->integer()
        ]);
        
        $this->addForeignKey('service_parent_fk',
                            'service',
                            'parent_id',
                            'service',
                            'id',
                            'SET NULL',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('service_parent_fk', 'service');
        $this->dropTable('service');
    }
}
